#
#   gbsdef2.sh
#   Define Development functions
#   This file must be sourced with . (dot)
#
#   List all functions:		declare -f
#   List all function names:	declare -F
#   List function x:		declare -f x
#
function bgpids { $GBS_PERL_CMD -w $GBS_SCRIPTS_PATH/StandAlone/bgpids.pl $* ; }
function builder { cd $GBS_SCRIPTS_PATH && $GBS_PERL_CMD -w Tools/builder.pl $* ; }
function encrypt { cd $GBS_SCRIPTS_PATH && $GBS_PERL_CMD -w Tools/encrypt.pl $* ; }
function genhelp { cd $GBS_SCRIPTS_PATH && $GBS_PERL_CMD -w Tools/genhelp.pl $* ; }
function license { cd $GBS_SCRIPTS_PATH && $GBS_PERL_CMD -w Tools/license.pl $* ; }
function perlchange { cd $GBS_SCRIPTS_PATH && $GBS_PERL_CMD -w Tools/perlchange.pl $* ; }
function perlcritic { cd $GBS_SCRIPTS_PATH && $GBS_PERL_CMD -w Tools/perlcritic.pl $* ; }
function perlxref { cd $GBS_SCRIPTS_PATH && $GBS_PERL_CMD -w Tools/perlxref.pl $* ; }
function testall { cd $GBS_SCRIPTS_PATH && $GBS_PERL_CMD -w Tools/testall.pl $* ; }

