@ECHO OFF
::
::   gbsinit.bat [ --rel=<rel> ]
::
set GBS_RC=0
set /A GBS_SCRIPT_LEVEL+=1

::
::	Setup GBS_PID
::
%GBS_SCRIPTS_PATH%\win32utils\ppid.exe
set GBS_PID=%ERRORLEVEL%

::
::	Run gbsinit
::
set GBS_INIT_FILE=%TEMP%\GBSINIT_RESULT_%COMPUTERNAME%_%GBS_PID%.bat
del %GBS_INIT_FILE% 2> NUL
%GBS_PERL_CMD% -w %GBS_SCRIPTS_PATH%\gbsinit.pl %*
set GBS_RC=%ERRORLEVEL%

::
::	Selectively setup the environment
::	using the result_file of gbsinit.pl
::
if %GBS_RC% NEQ 0 set GBS_PID=
if %GBS_RC% NEQ 0 goto end_setup
    ::
    ::  Execute the setup of environment variables
    ::
    if not exist %GBS_INIT_FILE% goto end_1
        call %GBS_INIT_FILE%
        set GBS_RC=%ERRORLEVEL%
    :end_1
:end_setup
del %GBS_INIT_FILE% 2> NUL
set GBS_INIT_FILE=

:end
set /A GBS_SCRIPT_LEVEL-=1
if %GBS_SCRIPT_LEVEL% LEQ 0 set GBS_PROMPT_SEPARATOR_PRINTED=
if %GBS_SCRIPT_LEVEL% LEQ 0 set GBS_SCRIPT_LEVEL=
exit /B %GBS_RC%

:: **EOF**
