@ECHO OFF
::
::   gbssetup.bat
::
set GBS_RC=0
set /A GBS_SCRIPT_LEVEL+=1

::
::   Run the gbssetup perl script
::

    ::
    ::	Run the program
    ::
    set GBS_SETUP_FILE=%TEMP%\GBSSETUP_RESULT_%COMPUTERNAME%_%GBS_PID%.bat
    del %GBS_SETUP_FILE% 2> NUL
    %GBS_PERL_CMD% -w %GBS_SCRIPTS_PATH%\gbssetup.pl %*
    set GBS_RC=%ERRORLEVEL%

    ::
    ::	 Selectively setup the environment
    ::
    :: echo GBS_RC=%GBS_RC%
    if %GBS_RC% NEQ 0 goto end_setup
    if not exist %GBS_SETUP_FILE% goto end_setup
	::
	::  Execute the setup of environment variables
	::
	call %GBS_SETUP_FILE%
	set GBS_RC=%ERRORLEVEL%
    :end_setup
    del %GBS_SETUP_FILE% 2> NUL
    set GBS_SETUP_FILE=

:end
set /A GBS_SCRIPT_LEVEL-=1
if %GBS_SCRIPT_LEVEL% LEQ 0 set GBS_PROMPT_SEPARATOR_PRINTED=
if %GBS_SCRIPT_LEVEL% LEQ 0 set GBS_SCRIPT_LEVEL=
exit /B %GBS_RC%

:: **EOF**
