@ECHO OFF
::
::   Run the gbsswr perl script
::
set GBS_RC=0
set /A GBS_SCRIPT_LEVEL+=1

if NOT [%GBS_PID%]==[] goto gbs_ok
    echo GBSSWR_: ** GBS not started: Use 'gbs' or 'gbsstart' **
    set GBS_RC=1
    goto end
:gbs_ok
    :: set ERRORLEVEL=
    ::
    ::	Run Phase 1
    ::
    set GBS_SWR_FILE=%TEMP%\GBSSWR_RESULT_%COMPUTERNAME%_%GBS_PID%.bat
    del %GBS_SWR_FILE% 2> NUL
    %GBS_PERL_CMD% -w %GBS_SCRIPTS_PATH%\gbsswr.pl %*
    set GBS_RC=%ERRORLEVEL%

    ::
    ::	 Selectively setup the environment
    ::
    :: echo GBS_RC=%GBS_RC%
    if %GBS_RC% NEQ 0 goto end_setup
    if not exist %GBS_SWR_FILE% goto end_setup
	::
	::  Execute the setup of environment variables
	::
	call %GBS_SWR_FILE%
	set GBS_RC=%ERRORLEVEL%
	if %GBS_RC% NEQ 0 goto end_setup
	    ::
	    ::	Run Phase 2
	    ::
	    set GBS_SWR_SET_FILE=%TEMP%\GBSSWR_SET_RESULT_%COMPUTERNAME%_%GBS_PID%.bat
	    del %GBS_SWR_SET_FILE% 2> NUL
	    %GBS_PERL_CMD% -w %GBS_SCRIPTS_PATH%\gbsswr_set.pl %GBS_SWR_SET_ARGS%
	    set GBS_RC=%ERRORLEVEL%
	    if %GBS_RC% NEQ 0 goto end_phase_2
	    if not exist %GBS_SWR_SET_FILE% goto end_phase_2
		::
		::  Execute the setup of environment variables
		::
		call %GBS_SWR_SET_FILE%
		set GBS_RC=%ERRORLEVEL%
	:end_phase_2
    :end_setup
    del %GBS_SWR_FILE% 2> NUL
    del %GBS_SWR_SET_FILE% 2> NUL
    set GBS_SWR_FILE=
    set GBS_SWR_SET_FILE=
    set GBS_SWR_SET_ARGS=

:end
set /A GBS_SCRIPT_LEVEL-=1
if %GBS_SCRIPT_LEVEL% LEQ 0 set GBS_PROMPT_SEPARATOR_PRINTED=
if %GBS_SCRIPT_LEVEL% LEQ 0 set GBS_SCRIPT_LEVEL=
exit /B %GBS_RC%

:: **EOF**
