@ECHO OFF
::
::   Run the gbsswt perl script
::
set GBS_RC=0
set /A GBS_SCRIPT_LEVEL+=1

if NOT [%GBS_PID%]==[] goto gbs_ok
    echo GBSSWT_: ** GBS not started: Use 'gbs' or 'gbsstart' **
    set GBS_RC=1
    goto end
:gbs_ok
    :: set ERRORLEVEL=
    set GBS_SWT_FILE=%TEMP%\GBSSWT_RESULT_%COMPUTERNAME%_%GBS_PID%.bat
    del %GBS_SWT_FILE% 2> NUL
    %GBS_PERL_CMD% -w %GBS_SCRIPTS_PATH%\gbsswt.pl %*
    set GBS_RC=%ERRORLEVEL%

    ::
    ::	 Selectively setup the environment
    ::
    :: echo GBS_RC=%GBS_RC%
    if %GBS_RC% NEQ 0 goto end_setup
    if not exist %GBS_SWT_FILE% goto end_setup
	::
	::  Execute the setup of environment variables
	::
	call %GBS_SWT_FILE%
	set GBS_RC=%ERRORLEVEL%
    :end_setup
    del %GBS_SWT_FILE% 2> NUL
    set GBS_SWT_FILE=

:end
set /A GBS_SCRIPT_LEVEL-=1
if %GBS_SCRIPT_LEVEL% LEQ 0 set GBS_PROMPT_SEPARATOR_PRINTED=
if %GBS_SCRIPT_LEVEL% LEQ 0 set GBS_SCRIPT_LEVEL=
exit /B %GBS_RC%

:: **EOF**
