@ECHO OFF
::
::   xterm.bat
::      arg_1    = title         (may be quoted)
::      arg_2    = bgfc_colors   (backgound and foreground 1-digit color codes)
::      arg_3    = cols
::      arg_4    = rows
::      arg_5    = command       (Full path)
::      arg_6-14 = command_flags (max 9)
::============================================================================

setlocal

::
::   Select arguments
::
set title=%~1                   &:: Remove quotes
shift
set bgfg_colors=%1
shift
set cols=%1
shift
set rows=%1
shift
set command=%1
shift

::
::  Prepare the window
::
title %title%
color %bgfg_colors%
mode con: cols=%cols% lines=%rows%

::
::  Execute the command
::
::echo ==>%command% %1 %2 %3 %4 %5 %6 %7 %8 %9
%command% %1 %2 %3 %4 %5 %6 %7 %8 %9

::
::  Done
::
endlocal & set rc=%rc%
exit /B %rc%
:: **EOF**
