@ECHO OFF
::========================================
::  gbsstart.bat <root> [<subsys>] [<comp>] [<target>] --exec=<exec_command> [--rel=<rel>]
::    Generic invocation of GBS in a batch environment
::    - Determine GBS_BASE_PATH
::    - call .gbs\profile.bat
::    - generic call GBS_SCRIPTS_PATH\gbsstart.bat
::========================================

::
::  Set GBS_BOOT_PATH, GBS_BASE_PATH and GBS_PERL_CMD
::
call "%APPDATA%\.gbs\boot.bat"

::
::  Run setup (& profile)
::
call "%GBS_BOOT_PATH%\setup.bat" cur

::
::  Execute gbsstart
::
::echo GBSTART_: GBS_SCRIPTS_PATH=%GBS_SCRIPTS_PATH%
%GBS_SCRIPTS_PATH%\gbsstart.bat %*
set rc=%ERRORLEVEL%

:end
exit /B %rc%

:::EOF:::
