@ECHO OFF
::========================================
::  setup.bat <wanted_rel>
::  Common part for define.bat (interactive) and gbsstart.bat (batch)
::  - Run profile.bat
::  - Adjust the GBS_SCRIPTS_REL (if applicable)
::========================================

::
::  Handle Args
::
set GBS_SETUP_REL=%1

::
::  Execute profile
::
call %GBS_BASE_PATH%\profile.bat

::
::  Adjust GBS_SCRIPTS_REL
::
if not [%GBS_SCRIPTS_REL%]==[] echo SETUP_: Current GBS version is '%GBS_SCRIPTS_REL%'
if [%GBS_SETUP_REL%]==[cur] goto end_profile
    if [%GBS_SETUP_REL%]==[%GBS_SCRIPTS_REL%] goto end_profile
        if not exist %GBS_SCRIPTS_ROOT%\%GBS_SCRIPTS_REL% echo SETUP_: GBS Version '%GBS_SETUP_REL%' does not exist && goto end_profile
        set GBS_SCRIPTS_REL=%GBS_SETUP_REL%
        echo SETUP_: GBS Version set to '%GBS_SCRIPTS_REL%'
:end_profile

::
::  Cleanup
::
set GBS_SETUP_REL=

:: **EOF**
