@ECHO OFF
::========================================
::    %FILE% [%SYSTEM_NAME%]
::========================================
if NOT [%1] == [entry] goto :exit
    ::
    ::    set items
    ::

    if NOT [%GBS_SITE%] == [%SITE%] goto :NOT_%SITE%
        ::
        ::  %SITE%
        ::

	::
	::  Version Control
	::
	::set GBSEXT_CC_PATH=PATH
	::set GBSEXT_CCM_PATH=PATH
	::set GBSEXT_GIT_PATH=PATH
	::set GBSEXT_SVN_PATH=PATH

	::
	::  Targets
	::
        ::set GBSEXT_MSVS2012_ROOT=C:\Program Files (x86)\Microsoft Visual Studio 11.0
        ::set GBSEXT_MSVS2012_SDK_ROOT=C:\Program Files (x86)\Microsoft SDKs\Windows
        ::set GBSEXT_MSBUILD_ROOT=C:\Windows\Microsoft.NET\Framework

	::set GBSEXT_MINGW_ROOT=C:\MinGW

	::
	::  Audits
	::
	::set GBSEXT_QAC_ROOT=C:\MyPrograms\PRQA\QAC

	::set GBSEXT_QACPP_ROOT=C:\MyPrograms\PRQA\QACPP

	::set GBSEXT_PCLINT_ROOT=C:\MyPrograms\PC-Lint

	::set GBSEXT_CPPTEST_ROOT=C:\MyPrograms\Parasoft\C++test

	::
	::  Tools
	::
	::set GBSEXT_DOXYGEN_ROOT=C:\MyPrograms\doxygen

	::
	::  GBS Settings
	::

        goto :end_site
    :NOT_%SITE%
    if NOT [%GBS_SITE%] == [OTHER] goto :NOT_OTHER
        ::
        ::      OTHER
        ::
        goto :end_site
    :NOT_OTHER
    	echo *******
    	echo **  Unknown site '%GBS_SITE%'
    	echo **  Must be one of [ %SITE% OTHER ]
	echo *******
	::false
	goto :error_exit
    :end_site

    ::
    ::	Version Control
    ::
    ::set GBSEXT_SVN_PATH="C:\Program Files\TortoiseSVN\bin"
    ::set GBSEXT_SVN_PATH=PATH

    ::
    ::  Targets
    ::
    ::set GBSEXT_MSVS2012_CONS_REL=2012
    ::set GBSEXT_MSVS2012_CONS_PATH=%GBSEXT_MSVS2012_ROOT%
    ::set GBSEXT_MSVS2012_SDK_REL=v7.1A
    ::set GBSEXT_MSVS2012_SDK_PATH=%GBSEXT_MSVS2012_SDK_ROOT%\%GBSEXT_MSVS2012_SDK_REL%
    ::set GBSEXT_MSBUILD_REL=v4.0.30319
    ::set GBSEXT_MSBUILD_PATH=%GBSEXT_MSBUILD_ROOT%\%GBSEXT_MSBUILD_REL%

    ::set GBSEXT_MINGW_BASE_REL=2013072200
    ::set GBSEXT_MINGW_GCC_PATH=%GBSEXT_MINGW_ROOT%\%GBSEXT_MINGW_BASE_REL%
    ::set GBSEXT_MINGW_GCC_REL=4.8.1

    ::set GBSEXT_MINGW_BASE_REL=2013072200
    ::set GBSEXT_MINGW_CPP_PATH=%GBSEXT_MINGW_ROOT%\%GBSEXT_MINGW_BASE_REL%
    ::set GBSEXT_MINGW_CPP_REL=4.8.1

    ::
    ::  Audits
    ::
    ::set GBSEXT_QAC_REL=8.1-R
    ::set GBSEXT_QAC_PATH=%GBSEXT_QAC_ROOT%-%GBSEXT_QAC_REL%

    ::set GBSEXT_QACPP_REL=3.0-R
    ::set GBSEXT_QACPP_PATH=%GBSEXT_QACPP_ROOT%-%GBSEXT_QACPP_REL%

    ::set GBSEXT_PCLINT_REL=8.00x
    ::set GBSEXT_PCLINT_PATH=%GBSEXT_PCLINT_ROOT%\%GBSEXT_PCLINT_REL%

    ::SET GBSEXT_CPPTEST_REL=9.6
    ::SET GBSEXT_CPPTEST_PATH=%GBSEXT_CPPTEST_ROOT%\%GBSEXT_CPPTEST_REL%
    ::SET GBSEXT_CPPTEST_BUILD=9.6.0.99

    ::
    ::	Tools
    ::
    ::set GBSEXT_DOXYGEN_REL=3.5
    ::set GBSEXT_DOXYGEN_PATH=%GBSEXT_DOXYGEN_ROOT%

    ::
    ::	Audit Tools
    ::
    ::set QAC_REL=%GBSEXT_QAC_REL%
    ::set QACROOT=%GBSEXT_QAC_PATH%

    ::set QACPP_REL=%GBSEXT_QACPP_REL%
    ::set QACPPROOT=%GBSEXT_QACPP_PATH%

    goto end_entry_exit
:exit
if NOT [%1] == [exit] goto :no_entry_exit
    ::
    ::	unset items
    ::	(GBSEXT_... are all unset by GBS)
    ::
    set QAC_REL=
    set QACROOT=

    set QACPP_REL=
    set QACPPROOT=

    goto :end_entry_exit
:no_entry_exit
    echo *****
    echo ** SYSTEM/switch.gbs: Usage = call switch.gbs.bat [ entry ^| exit ]
    echo *****
    goto :error_exit
:end_entry_exit
:: true
goto :EOF

:error_exit
::
::  Error-exit
::
set GBS_RC=1
goto :EOF

:::EOF:::
