#===============================================================
#
#   gbshelp.pl
#
#===============================================================
#   This file is a part of the GBS (Generic Build Support)
#   package created by Randy Marques, Netherlands
#   For information: http://www.genericbuildsupport.com
#   Copyright  2010-2020 - Randy Marques - All rights reserved
#===============================================================
use strict;
use warnings;
use integer;
print "*GBSHELP @ARGV\n" if ($ENV{GBSDEBUG_FILE});




use lib $ENV{GBS_SCRIPTS_PATH};
use glo::env;
use glo::genopt;
use gbsenv;
use run;








my $GBS_SCRIPTS_PATH = GBSENV_scripts_path();






my $RC = 0;
GBSENV_init();




GENOPT_set_optdefs( 'gbshelp', undef,
'Present help on GBS in HTML browser',
undef);
GENOPT_parse();




RUN_browser( "$GBS_SCRIPTS_PATH/doc/index.html");




ENV_exit( $RC);




END
{
ENV_print_end_msg( 1);
}

