#!must_be_sourced
#
#   gbsinit.sh
#
GBS_RC=0
let GBS_SCRIPT_LEVEL+=1

#
#	Set GBS_PID
#
\export GBS_PID=$$

#
#	Run gbsinit
#
\export GBS_INIT_FILE=~/tmp/GBSINIT_RESULT_`hostname`_$GBS_PID.tmp
\rm -f $GBS_INIT_FILE 2> /dev/null
$GBS_PERL_CMD -w $GBS_SCRIPTS_PATH/gbsinit.pl $*
GBS_RC=$?
\set --

#
#   Selectively setup the environment
#   using the result_file of gbsinit.pl
#
if [[ $GBS_RC -eq 0 && -f $GBS_INIT_FILE ]]
then
    #
    #	Execute the setup of environment variables
    #
    . $GBS_INIT_FILE
    GBS_RC=$?
fi

\rm -f $GBS_INIT_FILE 2> /dev/null
\unset GBS_INIT_FILE

#   End
let GBS_SCRIPT_LEVEL-=1
if (( $GBS_SCRIPT_LEVEL <= 0 ))
then
    unset GBS_PROMPT_SEPARATOR_PRINTED
    unset GBS_SCRIPT_LEVEL
fi
\set --
\bash -c "exit $GBS_RC" # set $?

## EOF ##
