@ECHO OFF
::========================================
::  boot.bat
::    - Set GBS_BOOT_PATH
::    - Determine and set GBS_BASE_PATH
::    - Create %GBS_BOOT_PATH%/bootstrap.bat if required
::    - Set GBS_PERL_CMD if not defined
::========================================

::
::  Set GBS_BOOT_PATH
::
set GBS_BOOT_PATH="%APPDATA%\.gbs"

::
::  Set GBS_BASE_PATH
::
if exist "%GBS_BOOT_PATH%\bootstrap.bat" goto else_base
    set GBS_BASE_PATH=%GBS_BOOT_PATH%
    if exist "%GBS_BOOT_PATH%\base" set GBS_BASE_PATH=%GBS_BOOT_PATH%\base"

    ::
    ::	Write the bootstrap file
    ::
    (echo set GBS_BASE_PATH=%GBS_BASE_PATH%) > "%GBS_BOOT_PATH%\bootstrap.bat"
    goto end_base
:else_base
    call "%GBS_BOOT_PATH%\bootstrap.bat"
:end_base
::echo BOOT_: GBS_BASE_PATH set to "%GBS_BASE_PATH%"

::
::  Setup Perl
::
set GBS_PERL_CMD=perl -w
set GBS_WPERL_CMD=wperl -w
if [%GBS_PERL_PATH%]==[] goto end_perl
    set GBS_PERL_CMD=%GBS_PERL_PATH%\bin\perl.exe -w
    set GBS_WPERL_CMD=%GBS_PERL_PATH%\bin\wperl.exe -w
    echo BOOT_: Perl set to '%GBS_PERL_PATH%\bin\perl'
:end_perl

:::EOF:::
