@ECHO OFF
::========================================
::  gbsstart_here.bat <gbscommand> [<gbs_command_args>...] [--target=<target>] [--audit=<audit>] [--tool=<tool>] [--rel=<rel>]
::    Generic invocation of GBS in a batch environment
::    - Determine GBS_BASE_PATH
::    - call .gbs\profile.bat
::    - generic call GBS_SCRIPTS_PATH\gbsstart_here.bat
::========================================

::
::  Set GBS_BOOT_PATH, GBS_BASE_PATH and GBS_PERL_CMD
::
call "%APPDATA%\.gbs\boot.bat"

::
::  Run setup (& profile)
::
call "%GBS_BOOT_PATH%\setup.bat" cur

::
::  Execute gbsstart_here
::
%GBS_SCRIPTS_PATH%\gbsstart_here.bat %*
set rc=%ERRORLEVEL%

:end
exit /B %rc%

:::EOF:::
